package org.sakaiproject.wontovlab.tool.jsf;

import org.sakaiproject.wontovlab.model.Drug;
import org.sakaiproject.wontovlab.model.Equipment;
import org.sakaiproject.wontovlab.model.Material;
import org.sakaiproject.wontovlab.model.Solution;


/**
 * This is a wrapper class which is required to get the interactions from the user
 * without storing UI dependent information in the data POJO
 * @author Sakai App Builder -AZ
 */
public class MaterialWrapper {

	private Drug drug;
	private Equipment equipment;
	private Solution solution;
	private Material material;
	private boolean canDelete; // can this weblab be deleted
	private boolean canEdit;


	/**
	 * Constructor which accepts the object we are wrapping
	 * @param item the WebLab we are wrapping
	 */
	public MaterialWrapper(Material material) {
		this.material = material;
	}


	public MaterialWrapper(Equipment equipment) {
		super();
		this.equipment = equipment;
	}
	public MaterialWrapper(Drug drug) {
		super();
		this.drug = drug;
	}
	public MaterialWrapper(Solution solution) {
		super();
		this.solution = solution;
	}

	/**
	 * Basic setters and getters
	 */


	public boolean isCanDelete() {
		return canDelete;
	}
	public void setCanDelete(boolean canDelete) {
		this.canDelete = canDelete;
	}


	
	public Drug getDrug() {
		return drug;
	}
	public void setDrug(Drug drug) {
		this.drug = drug;
	}


	public Equipment getEquipment() {
		return equipment;
	}
	public void setEquipment(Equipment equipment) {
		this.equipment = equipment;
	}

	

	public Solution getSolution() {
		return solution;
	}
	public void setSolution(Solution solution) {
		this.solution = solution;
	}


	public Material getMaterial()
	{
		return material;
	}
	public void setMaterial(Material material)
	{
		this.material = material;
	}


	public boolean isCanEdit()
	{
		return canEdit;
	}
	public void setCanEdit(boolean canEdit)
	{
		this.canEdit = canEdit;
	}



}
